%define pango_version 1.1.3
%define gtk2_version 2.3.0
%define libgnomeui_version 2.7.92
%define gnome_vfs2_version 2.7.91
%define librsvg2_version 2.0.1
%define bonobo_activation_version 1.0.3
%define libxml2_version 2.4.20
%define libart_lgpl_version 2.3.8
%define gail_version 0.17-2
%define desktop_file_utils_version 0.7
%define gnome_menus_version 2.14.0
%define gnome_desktop_version 2.18.0-2

%define po_package eel-2.0

Name:        eel2
Summary:     Eazel Extensions Library
Version:     2.18.0.1
Release:     5%{?dist}
License:     LGPL
Group:       System Environment/Libraries
Source:      ftp://ftp.gnome.org/pub/gnome/sources/eel/2.18/eel-%{version}.tar.bz2
URL:         http://www.gnome.org/projects/nautilus/
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
    
Requires: pango >= %{pango_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: librsvg2 >= %{librsvg2_version}
Requires: bonobo-activation >= %{bonobo_activation_version}
Requires: libxml2 >= %{libxml2_version}
Requires: libart_lgpl >= %{libart_lgpl_version}
Requires: desktop-file-utils >= %{desktop_file_utils_version}
Requires: gnome-desktop >= %{gnome_desktop_version}

Patch1: eel2-2.18.0.1-gnome-bg.patch

BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: librsvg2-devel >= %{librsvg2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: gnome-menus-devel >= %{gnome_menus_version}
BuildRequires: gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: pango
BuildRequires: libXt-devel
BuildRequires: libtool
BuildRequires: gettext
BuildRequires: perl-XML-Parser

%description
Eazel Extensions Library is a collection of widgets and functions for
use with GNOME.

%package devel
Summary: Libraries and include files for developing with Eel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

Requires: gtk2-devel >= %{gtk2_version}
Requires: libgnomeui-devel >= %{libgnomeui_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: librsvg2-devel >= %{librsvg2_version}
Requires: bonobo-activation-devel >= %{bonobo_activation_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: gail-devel >= %{gail_version}
Requires: pkgconfig

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.

%prep
%setup -q -n eel-%{version}

%patch1 -p1 -b .gnome-bg

# Fix spurious exec permissions
chmod a-x COPYING

%build
CFLAGS="$RPM_OPT_FLAGS -DEEL_OMIT_SELF_CHECK" %configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/eel-2

%changelog
* Mon Apr 23 2007  <alexl@redhat.com> - 2.18.0.1-5
- spec cleanup from merge review (#225718)

* Wed Apr 18 2007 Soren Sandmann <sandmann@redhat.com> - 2.18.0.1-4
- Fix bug in gnome-bg patch where resetting backgrounds didn't work.

* Tue Mar 20 2007 Soren Sandmann <sandmann@redhat.com> - 2.18.0.1-3
- Fix bug in gnome-bg patch where backgrounds would get an uninitialized
  color.

* Mon Mar 19 2007 Soren Sandmann <sandmann@redhat.com> - 2.18.0.1-2
- Add patch that makes eel-background.c use GnomeBG from libgnome-desktop.

* Mon Mar 12 2007 Alexander Larsson <alexl@redhat.com> - 2.18.0.1-1
- update to 2.18.0.1

* Mon Mar 12 2007 Alexander Larsson <alexl@redhat.com> - 2.18.0-1
- update to 2.18.0

* Mon Jan 22 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.90-1
- Update to 2.17.90

* Tue Dec 19 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.1-1
- Update to 2.17.1

* Tue Nov  7 2006 Alexander Larsson <alexl@redhat.com> - 2.16.1-2.fc7
- update to 2.16.1

* Mon Sep  4 2006 Alexander Larsson <alexl@redhat.com> - 2.16.0-1
- update to 2.16.0

* Fri Sep  1 2006 Alexander Larsson <alexl@redhat.com> - 2.15.92-4
- Don't unnecesarily reset im context (#203865)

* Fri Aug 25 2006 Alexander Larsson <alexl@redhat.com> - 2.15.92-3
- Omit self check code in build

* Wed Aug 23 2006 Alexander Larsson <alexl@redhat.com> - 2.15.92-2
- fix dnd crash from firefox (#203678)

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-1.fc6
- Update to 2.15.92

* Thu Aug 10 2006 Alexander Larsson <alexl@redhat.com> - 2.15.91-1
- update to 2.15.91
- Drop upstreamed patch

* Fri Aug  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.90-2.fc6
- Compare mtimes of images when the uri has not changed

* Thu Aug  3 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.90-1.fc6
- Update to 2.15.90

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-2
- Rebuild

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-1
- Update to 2.15.4

* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2-1
- Update to 2.15.2

* Thu Jun  8 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.1-3
- More missing BuildRequires

* Sun May 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.1-2
- Add missing BuildRequires (#129292)

* Wed May 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.1-1
- Update to 2.15.1

* Tue Apr 11 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-2
- Update to 2.14.1

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-1
- Update to 2.14.0
- Drop upstreamed patch

* Tue Feb 28 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-2
- Fix a nautilus crash  (#183368)

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-1
- Update to 2.13.92

* Mon Feb 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-1
- Update to 2.13.91

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Matthias Clasen <mclasen@redhat.com> 2.13.90-1
- Update to 2.13.90

* Mon Jan 16 2006 Matthias Clasen <mclasen@redhat.com> 2.13.4-1
- Update to 2.13.4

* Tue Dec 13 2005 Alexander Larsson <alexl@redhat.com> 2.13.3-1
- Update to 2.13.3

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com> 2.13.2-1
- Update to 2.13.2

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> 2.12.1-1
- Update to 2.12.1

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> 2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 2.11.91-1
- New upstream version

* Wed Aug  3 2005 Matthias Clasen <mclasen@redhat.com> 2.11.90-1
- New upstream version

* Tue Jul 12 2005 David Zeuthen <davidz@redhat.com>
- Fix BuildRequires (#163043)

* Sat Jul  9 2005 Matthias Clasen <mclasen@redhat.com> 2.11.3-1
- Update to 2.11.3

* Sun Apr  3 2005 David Zeuthen <davidz@redhat.com> 2.10.0-2
- Include patches for desktop background memory saving (GNOME bug #169347)
- Patch for making sure user added desktop files dont conflict with global ones

* Fri Mar 18 2005 David Zeuthen <davidz@redhat.com> 2.10.0-1
- New upstream version

* Wed Mar  2 2005 Alex Larsson <alexl@redhat.com> 2.9.91-2
- Rebuild

* Fri Feb 11 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.91-1
- Update to 2.9.91

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-1
- Update to 2.9.90

* Fri Oct 15 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-2
- Fix crash on extensionless files (#135858)

* Mon Oct 11 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-1
- update to 2.8.1

* Mon Sep 13 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 2.7.92-1
- update to 2.7.92

* Thu Aug 19 2004 Alex Larsson <alexl@redhat.com> 2.7.4-1
- update to 2.7.4

* Fri Aug  6 2004 Ray Strode <rstrode@redhat.com> 2.7.3-1
- update to 2.7.3

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Mon Mar 15 2004 Alex Larsson <alexl@redhat.com> 2.5.91-1
- update to 2.5.91

* Mon Mar  8 2004 Alexander Larsson <alexl@redhat.com> 2.5.90-1
- update to 2.5.90

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Alexander Larsson <alexl@redhat.com> 2.5.8-1
- update to 2.5.8

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Alexander Larsson <alexl@redhat.com> 2.5.7-1
- update to 2.5.7

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 2.5.6-1
- update to 2.5.6

* Tue Jan 27 2004 Alexander Larsson <alexl@redhat.com> 2.5.5-1
- update to 2.5.5

* Mon Sep  8 2003 Jonathan Blandford <jrb@redhat.com> 2.4.0-1
- Update to 2.4.0

* Tue Sep  2 2003 Alexander Larsson <alexl@redhat.com> 2.3.90-1
- Update to 2.3.90

* Tue Aug 26 2003 Alexander Larsson <alexl@redhat.com> 2.3.9-1
- update

* Mon Aug 18 2003 Alexander Larsson <alexl@redhat.com> 2.3.8-1
- update to gnome 2.3

* Tue Aug  5 2003 Elliot Lee <sopwith@redhat.com> 2.2.4-4
- Fix libtool

* Tue Jul  8 2003 Alexander Larsson <alexl@redhat.com> 2.2.4-3.E
- Rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Alexander Larsson <alexl@redhat.com> 2.2.4-2
- Add performance patch

* Mon May 19 2003 Alexander Larsson <alexl@redhat.com> 2.2.4-1
- Update to 2.2.4

* Mon Mar 31 2003 Alexander Larsson <alexl@redhat.com> 2.2.3-1
- update to 2.2.3

* Fri Feb 14 2003 Jeremy Katz <katzj@redhat.com> 2.2.1-3
- fix buildrequires

* Tue Feb 11 2003 Alexander Larsson <alexl@redhat.com> 2.2.1-2
- pass LIBTOOL=/usr/bin/libtool to make
- remove static libs

* Tue Feb 11 2003 Alexander Larsson <alexl@redhat.com> 2.2.1-1
- 2.2.1
- add smp_mflags

* Fri Jan 31 2003 Alexander Larsson <alexl@redhat.com> 2.2.0.2-1
- Update to 2.2.0.2, updated translations

* Thu Jan 23 2003 Alexander Larsson <alexl@redhat.com> 2.2.0.1-1
- Update to 2.2.0.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Alexander Larsson <alexl@redhat.com> 2.2.0-1
- Update to 2.2.0

* Tue Jan 14 2003 Alexander Larsson <alexl@redhat.com>
- 2.1.91
- Update URL

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com>
- 2.1.6

* Mon Dec 16 2002 Alexander Larsson <alexl@redhat.com>
- 2.1.5

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3

* Wed Nov 13 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2
- require newer pango

* Thu Aug 29 2002 Alexander Larsson <alexl@redhat.com>
- Update to 2.0.6. No actual changes, just to keep versions in sync w/ nautilus

* Fri Aug 23 2002 Alexander Larsson <alexl@redhat.com>
- Update to 2.0.5, only translation changes

* Wed Aug 14 2002 Alexander Larsson <alexl@redhat.com>
- 2.0.4

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- remove .so link from non-devel package

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.1.17

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild with fixed rpm in build root

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- 1.1.16.90 cvs snap to fix libpng issue

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.1.15

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.1.12

* Mon Apr 22 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.1.11

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- getting really sleepy, fixed the wrong dumb typo

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 1.1.10
- mumble, dumb typo in gail version

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide after fixing libart issue that broke build

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- Eel version 2 package created

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 1.0.2

* Wed Aug 29 2001 Alex Larsson <alexl@redhat.com>
- Added new font with cyrrilic glyphs from
- ftp://ftp.gnome.ru/fonts/urw/
- This closes #52772

* Mon Aug 27 2001 Alex Larsson <alexl@redhat.com> 1.0.1-18
- Add patch to fix #52348

* Thu Aug 23 2001 Havoc Pennington <hp@redhat.com>
- Applied patch from CVS to try fixing #51965

* Wed Aug 22 2001 Havoc Pennington <hp@redhat.com>
- Applied patch to handle multibyte chars in 
  eel_string_ellipsize - hopefully fixes #51710

* Fri Aug 17 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-15
- Fixed the default font patch. It crashed on 64bit arch.

* Tue Aug 14 2001 Alexander Larsson <alexl@redhat.com> 1.0.1-13
- Fixed EelScalableFont to not keep reloading fonts
- all the time.

* Fri Aug  3 2001 Owen Taylor <otaylor@redhat.com>
- Fix problems with EelImageChooser widget and Japanese

* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Get some fixes from CVS head, one that segfaulted ia64.
- This also moves the include file into a eel-1 dir, so that
- it can later coexist with eel 2.0.

* Tue Jul 24 2001 Owen Taylor <otaylor@redhat.com>
- Fixes for efficiency of background drawing
 
* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-7
- fixed typo in patch. oops.

* Mon Jul 23 2001 Akira TAGOH <tagoh@redhat.com> 1.0.1-6
- fixed choose the default font with every locale.

* Wed Jul 18 2001 Havoc Pennington <hp@redhat.com>
- own some directories we didn't before

* Sun Jul 08 2001 Tim Powers <timp@redhat.com>
- cleaned up files list so that the defattr is doing something
sensible and not leaving out the docs
- moved changelog to the end of the specfile

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com> 
- Removed docdir and cleaned up specfile a bit. 

* Fri Jul 06 2001 Alexander Larsson <alla@redhat.com>
- Updated to 1.0.1

* Wed May 09 2001 Jonathan Blandford <jrb@redhat.com> 
- Add to Red Hat build system 

* Wed Apr 04 2000 Ramiro Estrugo <ramiro@eazel.com> 
- created this thing
